Failed to open VDPAU backend libvdpau_i965.so: cannot open shared object file: No such file or directory

Bug #1300215 reported by Rolf Leggewie on 2014-03-31
532
This bug affects 117 people
Affects Status Importance Assigned to Milestone
libvdpau (Debian)
New
Unknown
libvdpau (Ubuntu)
Medium
Unassigned
libvdpau-va-gl (Ubuntu)
Medium
Unassigned
linux-lts-xenial (Ubuntu)
Undecided
Unassigned
vdr-plugin-xineliboutput (Ubuntu)
Undecided
Unassigned
vlc (Ubuntu)
Undecided
Unassigned
xine-ui (Ubuntu)
Undecided
Unassigned

Bug Description

This has been bothering me at least since precise (although there the missing link went to libvdpau_nvidia.so which was all the more mysterious since I do not own NVIDIA hardware). In numerous cases do I get a warning that libvdpau_i965.so is being tried to be accessed but it fails. I also can't find that file anywhere on my system or in the Ubuntu repository. I tried poking around with ldd to find out where the call to that lib comes from but so far unsuccessful.

$ vdpauinfo
display: :0 screen: 0
Failed to open VDPAU backend libvdpau_i965.so: cannot open shared object file: No such file or directory
Error creating VDPAU device: 1

libvdpau1:i386 is version 0.7-1 and vdpauinfo is 0.1-1

Rolf Leggewie (r0lf) on 2014-03-31
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in vdpauinfo (Ubuntu):
status: New → Confirmed
Aurelijus Rinkevicius (odysei) wrote :

Seems to be still in the wild with kUbuntu 14.04

It has a moderate impact on a core package.

Changed in vdpauinfo (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
mpw (matthiaspeterw) wrote :

Same here, Ubuntu 14.04.

Do you need any logs?

UTUMI Hirosi (utuhiro78) wrote :

Please check /usr/share/doc/libvdpau-va-gl1/README.Debian

> libvdpau-va-gl is work-in-progress. While it works fine with Adobe
> Flash Player, it may cause problems with other VDPAU-enabled
> software. Therefore, it has not been enabled system-wide by
> default.
>
> You can either enable it by uncommenting the appropriate lines in
> `/etc/X11/Xsession.d/20vdpau-va-gl` or enable only for some software
> by setting `VDPAU_DRIVER` environment variable. For example, to enable
> it in Chromium, start Chromium with the following command line:
>
> VDPAU_DRIVER=va_gl chromium

Try it:
$ VDPAU_DRIVER=va_gl vdpauinfo

I've run this but it is not so effective. It's heavy.
$ VDPAU_DRIVER=va_gl mpv 1080p_movie.mkv

Carlos (carlos-garces) wrote :

I'll add some details

I have a Intel X3100 (GM965)
# lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 03)

# vdpauinfo
display: :0.0 screen: 0
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
Error creating VDPAU device: 1

I have searched for /etc/X11/Xsession.d/20vdpau-va-gl and not exist so I have installed a new package
#apt-get install libvdpau-va-gl1

With the new package the output of vdpauinfo is different but I'm not sue if VDPAU is really working

$mplayer /tmp/h264_1080p_hp_4.1_40mbps_birds.mkv
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
[vdpau] Error when calling vdp_device_create_x11: 1

$ VDPAU_DRIVER=va_gl mplayer /tmp/h264_1080p_hp_4.1_40mbps_birds.mkv
[VS] Software VDPAU backend library initialized
libva info: VA-API version 0.35.1
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_32
libva error: /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so init failed
libva info: va_openDriver() returns -1

Mauro (mauromol) wrote :

I also have this problem, even if I installed both libvdpau-va-gl1 and i965-va-driver. Am I missing something else?
Setting VDPAU_DRIVER=va_gl fixes the vdpauinfo output.

Getting the same error message on Ubuntu 14.10

Failed to open VDPAU backend libvdpau_i965.so: Kann die Shared-Object-Datei nicht öffnen

Last sentence means (can not open shared object file)

VLC is VLC media player 2.2.0-pre2 Weatherwax (revision 2.2.0-pre1-15-g5178b24) (from 14.10 repos)

can not find that file with apt-file search libvdpau_i965.so

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Rémi Denis-Courmont (rdenis) wrote :

libvdpau takes the VDPAU driver "vendor" name from the DRI2 extension. If you have Intel HD Graphics, that will be i965. The error is printed by libvdpau.

The problem lies between libvdpau, and the VDPAU driver or lack thereof. vdpauinfo, mplayer, mpv and VLC can do nothing about it. In my opinion, the VA-GL driver should create the libvdpau_i965.so, e.g. as a link to libvdpau_va_gl.so

Changed in libvdpau-va-gl (Ubuntu):
status: New → Confirmed
affects: vlc (Ubuntu) → libvdpau-va-gl (Ubuntu)
affects: vdpauinfo (Ubuntu) → libvdpau (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libvdpau-va-gl (Ubuntu):
status: New → Confirmed
Changed in libvdpau-va-gl (Ubuntu):
importance: Undecided → Medium
hawran (hawran.diskuse) wrote :

Noticed the same issue:

$ firefox -safe-mode

(process:29081): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed

(firefox:29081): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::sm-connect after class was initialised

(firefox:29081): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::show-crash-dialog after class was initialised

(firefox:29081): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::display after class was initialised

(firefox:29081): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::default-icon after class was initialised
Failed to open VDPAU backend libvdpau_i965.so: cannot open shared object file: No such file or directory
$

Application Basics
------------------
Name: Firefox
Version: 34.0
User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:34.0) Gecko/20100101 Firefox/34.0
Multiprocess Windows: 0/1

Sys Info:
-----------
$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.04.1 LTS
Release: 14.04
Codename: trusty
$

$ uname -a
Linux ... 3.13.0-40-generic #69-Ubuntu SMP Thu Nov 13 17:53:56 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

joseche (joseche) wrote :

~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.10
Release: 14.10
Codename: utopic

~$ vdpauinfo
display: localhost:11.0 screen: 0
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
Error creating VDPAU device: 1

A. Eibach (andi3) wrote :

This is a horrible bug, and no one wants to seem to fix it.
Here's my "version":

(Precondition: installed libvdpau-va-gl1, as it was not there.)

Thanks for the VDPAU_DRIVER tip, very appreciated.

~$ export VDPAU_DRIVER=va_gl

~$ cd /usr/lib/i386-linux-gnu/dri

~$ ls -l
total 91924
-rw-r--r-- 1 root root 17780 Jan 18 09:03 dummy_drv_video.so
-rw-r--r-- 5 root root 6214508 Jan 29 18:22 i915_dri.so
-rw-r--r-- 5 root root 6214508 Jan 29 18:22 i965_dri.so
-rw-r--r-- 1 root root 1779560 Jan 27 21:57 i965_drv_video.so
-rw-r--r-- 7 root root 8729848 Jan 29 18:22 kms_swrast_dri.so
-rw-r--r-- 7 root root 8729848 Jan 29 18:22 nouveau_dri.so
lrwxrwxrwx 1 root root 18 Aug 8 01:22 nouveau_drv_video.so -> vdpau_drv_video.so
-rw-r--r-- 5 root root 6214508 Jan 29 18:22 nouveau_vieux_dri.so
lrwxrwxrwx 1 root root 18 Aug 8 01:22 nvidia_drv_video.so -> vdpau_drv_video.so

~$ vdpauinfo
display: :0.0 screen: 0
[VS] Software VDPAU backend library initialized
libva info: VA-API version 0.37.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/i386-linux-gnu/dri/nouveau_vieux_drv_video.so
libva info: va_openDriver() returns -1
[VS] error (compile_shaders): compilation of shader #0 failed with ''
[VS] error (vdpDeviceCreateX11): gl error 1280
Error creating VDPAU device: 25

OK, shared object file simply ISN'T THERE.
So why not do this?

~$ sudo ln -s vdpau_drv_video.so nouveau_vieux_drv_video.so
vdpauinfo
display: :0.0 screen: 0
[VS] Software VDPAU backend library initialized
libva info: VA-API version 0.37.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/i386-linux-gnu/dri/nouveau_vieux_drv_video.so
libva info: Found init function __vaDriverInit_0_35

**** STALLED ****

vdpauinfo is stuck after it found the init function

Something is seriously broken here.

Martin Thoma (themoosemind) wrote :
Download full text (3.6 KiB)

I just got this error after playing "Django unchained" (the DVD) with VLC:

```text
VLC media player 2.2.0-pre2 Weatherwax (revision 2.2.0-pre1-15-g5178b24)
VLC version 2.2.0-pre2 Weatherwax (2.2.0-pre1-15-g5178b24)
Compiled by buildd on kapok.buildd (Sep 5 2014 01:57:42)
Compiler: gcc version 4.9.1 (Ubuntu 4.9.1-10ubuntu2)
```

The error message was:

```text
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_18_0.VOB at 0x00352c7a
libdvdread: Error cracking CSS key for /VIDEO_TS/VTS_18_0.VOB (0x00352c7a)
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_18_1.VOB at 0x00352d01
libdvdread: Error cracking CSS key for /VIDEO_TS/VTS_18_1.VOB (0x00352d01)!!
libdvdread: Elapsed time 0
libdvdread: Found 18 VTS's
libdvdread: Elapsed time 0
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
Failed to open VDPAU backend libvdpau_i965.so: cannot open shared object file: No such file or directory
Failed to open VDPAU backend libvdpau_i965.so: cannot open shared object file: No such file or directory
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
Failed to open VDPAU backend libvdpau_i965.so: cannot open shared object file: No such file or directory
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error: Invalid PCR value in ES_OUT_SET_(GROUP_)PCR !
[00007fc2e8003898] core input error: ES_OUT_RESET_PCR called
[00007fc2e8003898] core input error...

Read more...

xxvirusxx (condor20-05) wrote :

For intel haswel VGA, and x64 I solve with this

sudo apt-get install i965-va-driver
sudo add-apt-repository ppa:nilarimogard/webupd8
sudo apt-get update
sudo apt-get install libvdpau-va-gl1
cd /usr/lib/x86_64-linux-gnu/vdpau/
sudo ln -s libvdpau_va_gl.so.1 libvdpau_i965.so.1

For Nvidia the package are

sudo apt-get install libvdpau1 vdpau-va-driver

Changed in libvdpau (Debian):
status: Unknown → New
postadelmaga (postadelmaga) wrote :

On intel sandy bridge the link workaround `sudo ln -s libvdpau_va_gl.so.1 libvdpau_i965.so.1` is breaking VLC:
- the video starts but after a while VLC hangs

LarsIvarIgesund (larsivar) wrote :

After upgrading to Kubuntu 15.04 (via 14.10) from 14.04, I started having new issues with overheating. I have a Dell XPS 13 (Developer edition) with Intel HD4000.

In particular it is now difficult to watch HD videos (e.g. from Crunchyroll.com), whether through Firefox or Chrome. After a couple of minutes, the CPU throttles hard as it gets too hot (verified with sensors), making the video unwatchable. This is not an issue I observed back when I was running 14.04.

After reading around, I installed the vdpau libraries, but that didn't help. I then found this issue, and saw that vdpauinfo gave the same error report.

I don't know that it is a very good workaround yet, but doing
VDPAU_DRIVER=va_gl firefox
got me through the video I was watching without throttling (it still got relatively hot though).

The suggestion with the ppa above did not work as apt refused to use that repo.

To me, due to the overheating, this seems to be a rather critical issue.

tags: added: vivid
Poldi (poldi) wrote :

Same issue here with VLC and 15.04.

Prior to the upgrade the laptop hypbrid card didn't work as expected; the nvidia driver was never used. This was fixed in 15.04

lspci | grep VGA shows

00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)
01:00.0 VGA compatible controller: NVIDIA Corporation GM204M [GeForce GTX 970M] (rev a1)

vlc works ok, but I get may errors about libvdpau_i965.so

....Failed to open VDPAU backend libvdpau_i965.so.....

faissaloo (faissaloo) wrote :

Can confirm that #16 + a restart fixes the issue.

TEN (launchpad-20-ten) wrote :

On 16.04.2 LTS, xine installs to the toolbar but fails to start without perceptible cause.
From a terminal, this dependency is identified but had not been enforced in the install process:

$ xine
This is xine (X11 gui) - a free video player v0.99.9.
(c) 2000-2014 The xine Team.
Failed to open VDPAU backend libvdpau_i965.so: cannot open shared object file: No such file or directory
vo_vdpau: Can't create vdp device : No vdpau implementation.
X Error of failed request: BadMatch (invalid parameter attributes)
  Major opcode of failed request: 151 (XVideo)
  Minor opcode of failed request: 17 ()
  Serial number of failed request: 2632
  Current serial number in output stream: 2632

$ lspci
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v3 Processor Integrated Graphics Controller (rev 06)

https://bbs.archlinux.org/viewtopic.php?id=186501#p1538033 even claims there is no way.

TEN (launchpad-20-ten) wrote :

$ sudo apt install vdpauinfo
BTW does nothing either to get any required packages:
$ vdpauinfo
display: :0 screen: 0
Failed to open VDPAU backend libvdpau_i965.so: cannot open shared object file: No such file or directory
Error creating VDPAU device: 1

TEN (launchpad-20-ten) wrote :
Download full text (6.4 KiB)

$ export VDPAU_DRIVER=va_gl

$ vdpauinfo
display: :0 screen: 0
libva info: VA-API version 0.39.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_39
libva info: va_openDriver() returns 0
API version: 1
Information string: OpenGL/VAAPI/libswscale backend for VDPAU

Video surface:

name width height types
-------------------------------------------
420 1920 1080 NV12 YV12 UYVY YUYV Y8U8V8A8 V8U8Y8A8
422 1920 1080 NV12 YV12 UYVY YUYV Y8U8V8A8 V8U8Y8A8
444 1920 1080 NV12 YV12 UYVY YUYV Y8U8V8A8 V8U8Y8A8

Decoder capabilities:

name level macbs width height
----------------------------------------------------
MPEG1 --- not supported ---
MPEG2_SIMPLE --- not supported ---
MPEG2_MAIN --- not supported ---
H264_BASELINE 51 16384 2048 2048
H264_MAIN 51 16384 2048 2048
H264_HIGH 51 16384 2048 2048
VC1_SIMPLE --- not supported ---
VC1_MAIN --- not supported ---
VC1_ADVANCED --- not supported ---
MPEG4_PART2_SP --- not supported ---
MPEG4_PART2_ASP --- not supported ---
DIVX4_QMOBILE --- not supported ---
DIVX4_MOBILE --- not supported ---
DIVX4_HOME_THEATER --- not supported ---
DIVX4_HD_1080P --- not supported ---
DIVX5_QMOBILE --- not supported ---
DIVX5_MOBILE --- not supported ---
DIVX5_HOME_THEATER --- not supported ---
DIVX5_HD_1080P --- not supported ---
H264_CONSTRAINED_BASELINE 51 16384 2048 2048
H264_EXTENDED --- not supported ---
H264_PROGRESSIVE_HIGH --- not supported ---
H264_CONSTRAINED_HIGH --- not supported ---
H264_HIGH_444_PREDICTIVE --- not supported ---
HEVC_MAIN --- not supported ---
HEVC_MAIN_10 --- not supported ---
HEVC_MAIN_STILL --- not supported ---
HEVC_MAIN_12 --- not supported ---
HEVC_MAIN_444 --- not supported ---

Output surface:

name width height nat types
----------------------------------------------------
B8G8R8A8 8192 8192 y
R8G8B8A8 8192 8192 y
R10G10B10A2 8192 8192 y
B10G10R10A2 8192 8192 y
A8 8192 8192 y

Bitmap surface:

name width height
------------------------------
B8G8R8A8 8192 8192
R8G8B8A8 8192 8192
R10G10B10A2 8192 8192
B10G10R10A2 8192 8192
A8 8192 8192

Video mixer:

feature name sup
------------------------------------
DEINTERLACE_TEMPORAL -
DEINTERLACE_TEMPORAL_SPATIAL -
INVERSE_TELECINE -
NOISE_REDUCTION -
SHARPNESS -
LUMA_KEY -
HIGH QUALITY SCALING - L1 -
HIGH QUALITY SCALING - L2 -
HIGH Q...

Read more...

TEN (launchpad-20-ten) wrote :

$ export VDPAU_DRIVER=va_gl
$ vlc
VLC media player 2.2.2 Weatherwax (revision 2.2.2-0-g6259d80)
[00000000024bd088] core libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
libva info: VA-API version 0.39.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_39
libva info: va_openDriver() returns 0
[00007fa9b8096e78] avcodec decoder: Using OpenGL/VAAPI/libswscale backend for VDPAU for hardware decoding.
vlc: i965_decoder_utils.c:963: intel_decoder_check_avc_parameter: Assertion `pic_param->CurrPic.picture_id == decode_state->current_render_target' failed.
Aborted (core dumped)

$ export VDPAU_DRIVER=
$ vlc
VLC media player 2.2.2 Weatherwax (revision 2.2.2-0-g6259d80)
[000000000113b088] core libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
Failed to open VDPAU backend libvdpau_.so: cannot open shared object file: No such file or directory
Failed to open VDPAU backend libvdpau_.so: cannot open shared object file: No such file or directory

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-lts-xenial (Ubuntu):
status: New → Confirmed
Changed in vdr-plugin-xineliboutput (Ubuntu):
status: New → Confirmed
Changed in vlc (Ubuntu):
status: New → Confirmed
Changed in xine-ui (Ubuntu):
status: New → Confirmed
Rémi Denis-Courmont (rdenis) wrote :

Closing VLC bug as already explained in previous comment.

Changed in vlc (Ubuntu):
status: Confirmed → Invalid
darkom (darko-miletic) wrote :

If you get the following error in Ubuntu 14.04 after executing vdpauinfo

unable to load hybrid_drv_video.so

Do this:

sudo apt-get -y -q install git
sudo apt-get -y -q build-dep libva
sudo apt-get -y -q install libva-dev
cd /tmp/
git clone https://github.com/01org/cmrt.git
git clone https://github.com/01org/intel-hybrid-driver.git
cd /tmp/cmrt/
autogen.sh
configure.sh --prefix=/usr/lib
make
sudo make install
cd /tmp/intel-hybrid-driver/
autogen.sh
make
sudo make install

Enigma (enigma0) wrote :

This is still broken in Ubuntu 17.10

Paul Jago (pcjago) wrote :

Yes, still broken in Ubuntu 17.10

Aaahh Ahh (woohoomoo2u) wrote :

Broken on Ubuntu 17.04 proposed too

Marco (koansoftware) wrote :

Same problem here after a fresh install of Ubuntu 16.04.3 on a Thinkpad T460

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Sky Lake Integrated Graphics (rev 07)

$ vdpauinfo
display: :0 screen: 0
Failed to open VDPAU backend libvdpau_.so: cannot open shared object file: No such file or directory
Error creating VDPAU device: 1

$ ll /usr/lib/x86_64-linux-gnu/vdpau
lrwxrwxrwx 1 root root 25 gen 13 09:41 libvdpau_nouveau.so -> libvdpau_nouveau.so.1.0.0
lrwxrwxrwx 1 root root 25 gen 13 09:41 libvdpau_nouveau.so.1 -> libvdpau_nouveau.so.1.0.0
lrwxrwxrwx 1 root root 25 gen 13 09:41 libvdpau_nouveau.so.1.0 -> libvdpau_nouveau.so.1.0.0
-rw-r--r-- 4 root root 5132328 gen 13 09:41 libvdpau_nouveau.so.1.0.0
lrwxrwxrwx 1 root root 22 gen 13 09:41 libvdpau_r300.so -> libvdpau_r300.so.1.0.0
lrwxrwxrwx 1 root root 22 gen 13 09:41 libvdpau_r300.so.1 -> libvdpau_r300.so.1.0.0
lrwxrwxrwx 1 root root 22 gen 13 09:41 libvdpau_r300.so.1.0 -> libvdpau_r300.so.1.0.0
-rw-r--r-- 4 root root 5132328 gen 13 09:41 libvdpau_r300.so.1.0.0
lrwxrwxrwx 1 root root 22 gen 13 09:41 libvdpau_r600.so -> libvdpau_r600.so.1.0.0
lrwxrwxrwx 1 root root 22 gen 13 09:41 libvdpau_r600.so.1 -> libvdpau_r600.so.1.0.0
lrwxrwxrwx 1 root root 22 gen 13 09:41 libvdpau_r600.so.1.0 -> libvdpau_r600.so.1.0.0
-rw-r--r-- 4 root root 5132328 gen 13 09:41 libvdpau_r600.so.1.0.0
lrwxrwxrwx 1 root root 26 gen 13 09:41 libvdpau_radeonsi.so -> libvdpau_radeonsi.so.1.0.0
lrwxrwxrwx 1 root root 26 gen 13 09:41 libvdpau_radeonsi.so.1 -> libvdpau_radeonsi.so.1.0.0
lrwxrwxrwx 1 root root 26 gen 13 09:41 libvdpau_radeonsi.so.1.0 -> libvdpau_radeonsi.so.1.0.0
-rw-r--r-- 4 root root 5132328 gen 13 09:41 libvdpau_radeonsi.so.1.0.0
lrwxrwxrwx 1 root root 23 feb 19 2016 libvdpau_trace.so.1 -> libvdpau_trace.so.1.0.0
-rw-r--r-- 1 root root 55376 feb 19 2016 libvdpau_trace.so.1.0.0

$ xine
Questo è xine (X11 gui) - un riproduttore video libero v0.99.9.
(c) 2000-2014 The xine Team.
Failed to open VDPAU backend libvdpau_.so: impossibile aprire il file oggetto condiviso: File o directory non esistente
vo_vdpau: Can't create vdp device : No vdpau implementation.
X Error of failed request: BadMatch (invalid parameter attributes)
  Major opcode of failed request: 151 (XVideo)
  Minor opcode of failed request: 17 ()
  Serial number of failed request: 2631
  Current serial number in output stream: 2631

Marco (koansoftware) wrote :

A correction to #34

$ vdpauinfo
display: :0 screen: 0
Failed to open VDPAU backend libvdpau_i965.so: cannot open shared object file: No such file or directory
Error creating VDPAU device: 1

$ xine
Questo è xine (X11 gui) - un riproduttore video libero v0.99.9.
(c) 2000-2014 The xine Team.
Failed to open VDPAU backend libvdpau_i965.so: impossibile aprire il file oggetto condiviso: File o directory non esistente
vo_vdpau: Can't create vdp device : No vdpau implementation.
X Error of failed request: BadMatch (invalid parameter attributes)
  Major opcode of failed request: 151 (XVideo)
  Minor opcode of failed request: 17 ()
  Serial number of failed request: 2632
  Current serial number in output stream: 2632

Rémi Denis-Courmont (rdenis) wrote :

The error message is totally normal and expected if there is no driver.

It's a bit confusing because libvdpau defaults to the NVIDIA driver, regardless of the GPU vendor or lack thereof. But either way, there are no ways that libvdpau can work without a backend driver.

Rémi Denis-Courmont (rdenis) wrote :

(And the following Xine error relates to XVideo, and probably is a totally different and Xine-specific bug.)

Marco Schmidt (kunzol) wrote :

In xenial after upgrade to hwe-16.04 the missing library is showing up in kaffein.

Failed to open VDPAU backend libvdpau_i965.so: cannot open shared object file: No such file or directory
vo_vdpau: Can't create vdp device : No vdpau implementation.

Setting VDPAU_DRIVER to va_gl removes the missing-library error, but due to missing MPEG2 decode support the DVB-T stream is not played.

MPEG2_SIMPLE --- not supported ---
MPEG2_MAIN --- not supported ---

Any hint, how to get DVB-T stream on the screen?

Marco Schmidt (kunzol) wrote :

After some further investigation, I learned, that there are two APIs for this.
1. VA-API: for Intel with the tool: vainfo
2. VDPAU-API: for others with the tool: vdpauinfo

and there is the libvdpau-va-gl which translates VDPAU-API to VA-API.
Setting VDPAU_DRIVER uses this library and this library uses "i965_drv_video.so" as VA-API backend.
According to the README.Debian of "i965-va-driver" it should be able to hw-accelerate MPEG-2

Codecs:
------

H.264 D ILK+
H.264 E SNB+
MPEG-2 D CTG+
VC-1 D SNB+

Seems that this is not working as expected.
The "vainfo" uses "i965_drv_video.so", too. And it notes that MPEG2 is supported:
vainfo: Supported profile and entrypoints
      VAProfileMPEG2Simple : VAEntrypointVLD
      VAProfileMPEG2Main : VAEntrypointVLD

Unfortunately this means, that we are in the wrong package for this "Bug" (I assume Intel changed something in driver).

References:
https://wiki.archlinux.org/index.php/Hardware_video_acceleration

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.